Desterwallaboo
Downloads: 4
Posts: 135
Smile Score: +99
About Me
I am a Free member
Gender: Male


Visit Stats
Last Visit: 9 days ago
Member Since: 24 Sep 2008
Profile Views: 2,500

Desterwallaboo's Posts
Average Rating from Desterwallaboo:
(34)

sort: smiles | time
burypromote

Desterwallaboo reviewed on 27 Feb 2014
Used this a lot under 10.4 and 10.5..... anyone know if this works under 10.9?
[Version 1.6]



burypromote

Desterwallaboo reviewed on 13 Jan 2012
We bought several of the pre-2012 Mamba mice about a year ago. On their support section it said that the full driver support for the Mac was 'coming soon'. Because as it now stands, only the scroll wheel, left and right mouse buttons have any functionality. The side buttons are worthless and unusable.

So.... I pop into their support site again... looking for said promised drivers. And guess what? They now have a 2012 Mamba mouse with full drivers. But the pre-2012 mouse support area has removed any mention that they were going to release full drivers for these mice.

What a total scam. These were NOT cheap mice. If they had been $30 mice I would have shrugged it off... but these were pricey. We bought them for their resolution, which is needed for accurate mouse control while doing critical design.

Good job Razer... you just guaranteed that our studio will no longer be purchasing any of your products in the future.
[Version 1.01]




Desterwallaboo rated on 16 Aug 2011
[Version 10.7.1]




Desterwallaboo rated on 26 Jul 2011
[Version 3.1.1]




Desterwallaboo rated on 20 Jul 2011
[Version 5.1]




Desterwallaboo rated on 13 Jul 2011
[Version 2.4]




Desterwallaboo rated on 23 Jun 2011
[Version 10.0]




Desterwallaboo rated on 23 Jun 2011
[Version 13.0.782.32]



burypromote
+4

Desterwallaboo reviewed on 21 Jun 2011
OK... This is clearly an amazing product that isn't ready for primetime. I realize this is a 1.0 release, so I'll give them time to add the needed features in order to be a 'pro' app. As of now, it certainly isn't. UI is fantastic, speed is blazing... but the core functionality that pros use daily isn't just lacking, they aren't there at all.

Things that FCP X needs before it can be considered 'pro':
1) Support for 3rd party video cards
2) SDI/HDSDI input/output
3) XML import/export
4) OMF import/export
5) EDL import/export
6) Ability to set the timeline start code to anything else but 0:00:00
7) The ability to keyframe effects
8) Edit to Tape functionality
9) Native REDcam functionality

Things I'd love to see:
1) iChat Theater abilities
2) AAF import/export
[Version 10.0]


4 Replies

burypromote
+2

+99
Desterwallaboo replied on 21 Jun 2011
For now it's very interesting to play with... very powerful editing tools. But the core functionality that goes into a studio is completely missing. Making it completely unusable in a studio environment.
burypromote
+5

+99
Desterwallaboo replied on 21 Jun 2011
One more necessary feature...... the ability to import projects from FCP 7.
burypromote
+1

+99
Desterwallaboo replied on 21 Jun 2011
I'm referring to video editing cards... not gfx cards.

So things like AJA cards, Black Magic Design cards, etc....
burypromote
+1

+99
Desterwallaboo replied on 21 Jun 2011
Yes... FCP 7 has all of these features now. And they aren't just 'nice' features... you use them in every thing you do. Pretty hard to send broadcast quality output to HDCAM or the like if you cannot get the footage out... let alone with proper timecodes.

Current FCP 7 does not support AAF import/export... but all of the other features are standard. And they are standard on every single pro editing tool in the industry.

I honestly think this release was a pressured product from marketing. I suspect the battle was between the engineers, who likely wanted to delay the release until after it was a finished pro product... and the marketing and financial departments that wanted to recoup a lot of their R&D money by 'getting it out the door'.

Desterwallaboo rated on 03 Jun 2011
[Version 12.0.742.68]



burypromote
-1
DesterWallaboo had trouble on 31 Aug 2009
There is a an issue with 10.6 Snow Leopard and NightShift.... it will download Webkit builds fine, but it is unable to overwrite the old version of Webkit. It keeps getting Applescript errors.
[Version 1.6]



Displaying 1-10 of 45
1 2 3 4 5 >
Displaying 1-1 of 1
Please login or create a new
MacUpdate Member account
to use this feature


- -